Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
DEX 거래 견적 정보 조회
cURL
curl --request GET \ --url https://api.chainstream.io/v2/dex/{chain}/quote \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.chainstream.io/v2/dex/{chain}/quote" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.chainstream.io/v2/dex/{chain}/quote', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.chainstream.io/v2/dex/{chain}/quote", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.chainstream.io/v2/dex/{chain}/quote" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.chainstream.io/v2/dex/{chain}/quote") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.chainstream.io/v2/dex/{chain}/quote") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "amountOut": "1000000000", "minAmountOut": "<string>", "currentPrice": "<string>", "executionPrice": "<string>", "priceImpact": "10.5", "fee": "1000000000" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
지원되는 네트워크에 나열된 체인 이름
sol
bsc
eth
DEX 프로토콜 유형
raydium
pumpfun
"raydium"
거래 수량
1000000000
입력 토큰 주소
"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"
출력 토큰 주소
"So11111111111111111111111111111111111111112"
정확한 입력 모드
true
슬리피지 허용치
10
출력 수량
"1000000000"
최소 출력 수량
현재 가격
체결 가격
가격 영향
"10.5"
거래 수수료
이 페이지가 도움이 되었나요?